Skip to main content
GET
List connections
Each connection ID identifies one provider and realm. Credentials are never returned. To add a connection, use Connect provider. To renew credentials, use Reauthorize connection.

Authorizations

X-API-Key
string
header
required

Your organization API key. Some operations also need a key that is associated with a user; their pages say so.

Query Parameters

connection_ids
string[]

IDs to return, separated by commas. The other filters also apply.

Required array length: 1 - 100 elements
Minimum string length: 1
limit
integer
default:25

Maximum number of records to return.

Required range: 1 <= x <= 100
cursor
string

The next_cursor value from the previous page. Keep the other filters unchanged.

status
enum<string>

Connection status.

Available options:
pending_setup,
active,
expired,
disconnecting,
disconnected,
failed

Response

The request succeeded.

data
object[]
required

The records.

has_more
boolean
required

Whether another page is available.

next_cursor
string | null
required

Cursor for the next page, or null on the last page.